Subject: Re: Q: How to use WinSock and cygwin.dll together?
From: [email-masked] (Trevor Yann)

19 Dec 1996 15:34:32 -0800
Sender: [email-masked]
Approved: [email-masked]
Distribution: cygnus
Message-ID: <1.5.4.32.19961219231949.002f6130.cygnus.gnu-win32@mailhost>
Mime-Version: 1.0
Content-Type: text/plain; charset="us-ascii"
X-Sender: ty@mailhost
X-Mailer: Windows Eudora Light Version 1.5.4 (32)
Original-To: "Geza Groma" <[email-masked]>
Original-Cc: [email-masked]
Original-Sender: [email-masked]

At 01:41  19/12/1996 MET, you wrote:
>Understanding that cygwin32_getsockopt is not yet supported, I would 
>try to use the native WinSock functions instead of their cygwin32_ 
>counterparts to build Python. Well, I read the FAQ an followed the recent
discussion 
>on this topic, but it is still not clear, how can I do that.
>
>Could somebody explain what headers (sys/socket.h, 
>winsock.h, Windows32/Sockets.h or some modified version of these?),
>what definitions (__INSIDE_CYGWIN32__, __INSIDE_CYGWIN32_NET__?),
>and what library (-lwsock32?) should (not) I use?

Assuming that the source file will be only be using winsock functions
directly, you should #include winsock.h and use the functions directly, no
#defines required. It is important not to #include sys/socket.h, as it will
#define all of the function names.

It is more complicated if you have a source file that needs access to both
the winsock interface and the unix style socket interface at the same time.

>Thanks in advance,
>Geza Groma

-
For help on using this list, send a message to
"[email-masked]" with one line of text: "help".